## neutron-taas 0.0.0+git20160926.675af77

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=2.3.4 # BSD
-e git://git.openstack.org/openstack/neutron.git@master#egg=neutron

=== debian/changelog ===
neutron-taas (0.0.0+git20160926.675af77-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot for OpenStack Newton.
  * d/p/0001-Include-alembic-migrations-in-module.patch: Cherry pick fix to
    ensure that alembic migrations are installed as part of the module
    (LP: #1627656).

 -- James Page <james.page@ubuntu.com>  Mon, 26 Sep 2016 12:51:34 +0100

neutron-taas (0.0.0+git20160808.c612a729-1) experimental; urgency=medium

  * Initial release (Closes: #833736).

 -- James Page <james.page@ubuntu.com>  Tue, 09 Aug 2016 14:18:29 +0100

=== debian/control ===
Source: neutron-taas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-coverage (>= 3.6),
                     python-hacking,
                     python-neutron (>= 2:9.0.0~),
                     python-os-testr (>= 0.7.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Homepage: http://github.com/openstack/tap-as-a-service
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/neutron-taas.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/neutron-taas.git

Package: python-neutron-taas
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-neutron (>= 2:9.0.0~),
         ${misc:Depends},
         ${python:Depends},
Enhances: python-neutronclient,
Description: OpenStack virtual network service - Tap-as-a-Service extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Tap-as-a-Service (TaaS) is an extension to the OpenStack network service
 (Neutron). It provides remote port mirroring capability for tenant virtual
 networks.
 .
 Port mirroring involves sending a copy of packets entering and/or leaving one
 port to another port, which is usually different from the original
 destinations of the packets being mirrored.
 .
 This service has been primarily designed to help tenants (or the cloud
 administrator) debug complex virtual networks and gain visibility into their
 VMs, by monitoring the network traffic associated with them. TaaS honors
 tenant boundaries and its mirror sessions are capable of spanning across
 multiple compute and network nodes. It serves as an essential infrastructure
 component that can be utilized for supplying data to a variety of network
 analytics and security applications (e.g. IDS).
 .
 This package provides the Python files for the Tap-as-a-Service (TaaS)
 extension.

Package: neutron-taas-openvswitch-agent
Architecture: all
Depends: neutron-common (>= 2:9.0.0~),
         python-neutron-taas (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - Tap-as-a-Service agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Tap-as-a-Service (TaaS) is an extension to the OpenStack network service
 (Neutron). It provides remote port mirroring capability for tenant virtual
 networks.
 .
 Port mirroring involves sending a copy of packets entering and/or leaving one
 port to another port, which is usually different from the original
 destinations of the packets being mirrored.
 .
 This service has been primarily designed to help tenants (or the cloud
 administrator) debug complex virtual networks and gain visibility into their
 VMs, by monitoring the network traffic associated with them. TaaS honors
 tenant boundaries and its mirror sessions are capable of spanning across
 multiple compute and network nodes. It serves as an essential infrastructure
 component that can be utilized for supplying data to a variety of network
 analytics and security applications (e.g. IDS).
 .
 This package provides the Tap-as-a-Service agent for Open vSwitch.

## neutron-taas 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
Babel>=2.3.4 # BSD

=== debian/changelog ===
neutron-taas (1.0.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Mar 2017 17:47:49 +0000

neutron-taas (1.0.0-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ James Page ]
  * New upstream release for OpenStack Mitaka.
  * Drop all patches, no longer required.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Mar 2017 16:55:51 +0000

neutron-taas (0.0.0+git20161126.094be-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot for Openstack Ocata.
  * debian/control: Bump version dependencies 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 26 Nov 2016 09:32:04 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                      python-coverage (>= 3.6),
                      python-hacking,
                      python-neutron (>= 2:9.0.0~),
-                     python-os-testr (>= 0.7.0),
+                     python-os-testr (>= 0.8.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-testresources (>= 0.2.4),
@@ -25,8 +25,8 @@
                      testrepository (>= 0.0.18),
 Standards-Version: 3.9.6
 Homepage: http://github.com/openstack/tap-as-a-service
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/neutron-taas.git;a=summary
-Vcs-Git: https://anonscm.debian.org/git/openstack/neutron-taas.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-taas
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-taas
 
 Package: python-neutron-taas
 Architecture: all

## neutron-taas 2.0.0

=== debian/changelog ===
neutron-taas (2.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/neutron-taas-openvswitch-agent.init.in, d/python-neutron-taas.install:
    Dropped init file and install of /usr/bin as neutron-taas-openvswitch-agent
    has been dropped in switch to supporting L2 agent extensions.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 17:08:37 -0400

neutron-taas (1.0.1~git20170522.e15cbf3-0ubuntu1) artful; urgency=medium

  * d/python-neutron-taas.install: Install any binaries as well as
    python modules (LP: #1689747).
  * New upstream snapshot for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Tue, 23 May 2017 10:18:20 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr,
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: python-babel (>= 2.3.4),
-                     python-coverage (>= 3.6),
+                     python-coverage (>= 4.0),
                      python-hacking,
                      python-neutron (>= 2:9.0.0~),
                      python-os-testr (>= 0.8.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

UPSTREAM_GIT := https://github.com/openstack/tap-as-a-service.git

export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d + -f 1)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ostestr
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/tap-as-a-service/tags .*/(\d[\d\.]+)\.tar\.gz

## neutron-taas 3.0.0

=== debian/changelog ===
neutron-taas (3.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to Python 3 (Closes: #892884).
  * Updated debian/copyright for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Mar 2018 23:52:27 +0100

neutron-taas (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Nov 2017 15:01:17 +0000

neutron-taas (2.0.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release:
    - Fixes unit tests (Closes: #877242).
  * Fixed (build-)depends for this release.
  * neutron-taas-openvswitch-agent depends on lsb-base.
  * Standards-Version is now 4.1.1.
  * Added myself as uploader.
  * Do not define OSLO_PACKAGE_VERSION, defined in openstack-pkg-tools.
  * Using debhelper 10.
  * python-neutron-taas in section python.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 12:15:23 +0100

=== debian/control ===
Source: neutron-taas
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-hacking,
 python3-neutron (>= 2:12.0.0),
 python3-os-testr (>= 1.0.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-stestr,
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.1
Homepage: http://github.com/openstack/tap-as-a-service
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-taas
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-taas.git

Package: neutron-taas-openvswitch-agent
Architecture: all
Depends:
 neutron-common (>= 2:12.0.0),
 python3-neutron-taas (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - Tap-as-a-Service agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Tap-as-a-Service (TaaS) is an extension to the OpenStack network service
 (Neutron). It provides remote port mirroring capability for tenant virtual
 networks.
 .
 Port mirroring involves sending a copy of packets entering and/or leaving one
 port to another port, which is usually different from the original
 destinations of the packets being mirrored.
 .
 This service has been primarily designed to help tenants (or the cloud
 administrator) debug complex virtual networks and gain visibility into their
 VMs, by monitoring the network traffic associated with them. TaaS honors
 tenant boundaries and its mirror sessions are capable of spanning across
 multiple compute and network nodes. It serves as an essential infrastructure
 component that can be utilized for supplying data to a variety of network
 analytics and security applications (e.g. IDS).
 .
 This package provides the Tap-as-a-Service agent for Open vSwitch.

Package: python3-neutron-taas
Architecture: all
Section: python
Depends:
 python3-babel,
 python3-neutron (>= 2:12.0.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 python3-neutronclient,
Breaks:
 python-neutron-taas,
Replaces:
 python-neutron-taas,
Description: OpenStack virtual network service - Tap-as-a-Service extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Tap-as-a-Service (TaaS) is an extension to the OpenStack network service
 (Neutron). It provides remote port mirroring capability for tenant virtual
 networks.
 .
 Port mirroring involves sending a copy of packets entering and/or leaving one
 port to another port, which is usually different from the original
 destinations of the packets being mirrored.
 .
 This service has been primarily designed to help tenants (or the cloud
 administrator) debug complex virtual networks and gain visibility into their
 VMs, by monitoring the network traffic associated with them. TaaS honors
 tenant boundaries and its mirror sessions are capable of spanning across
 multiple compute and network nodes. It serves as an essential infrastructure
 component that can be utilized for supplying data to a variety of network
 analytics and security applications (e.g. IDS).
 .
 This package provides the Python files for the Tap-as-a-Service (TaaS)
 extension.

## neutron-taas 3.0.0+2018.08.05.git.84846d52fd

=== requirements.txt ===
--- 
+++ 
@@ -2,5 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=1.8 # Apache-2.0
-Babel>=2.3.4 # BSD
+pbr!=2.1.0,>=2.0.0 # Apache-2.0
+Babel!=2.4.0,>=2.3.4 # BSD
+neutron>=12.0.0  # Apache-2.0

=== debian/changelog ===
neutron-taas (3.0.0+2018.08.05.git.84846d52fd-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release:
    - Fix FTBFS with latest Neutron (Closes: #909371).
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Sep 2018 10:10:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: neutron-taas
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  James Page <james.page@ubuntu.com>,
  Thomas Goirand <zigo@debian.org>,
@@ -17,7 +17,7 @@
  python3-babel,
  python3-coverage,
  python3-hacking,
- python3-neutron (>= 2:12.0.0),
+ python3-neutron (>= 2:13.0.0),
  python3-os-testr (>= 1.0.0),
  python3-oslosphinx,
  python3-oslotest (>= 1:3.2.0),
@@ -71,7 +71,7 @@
 Section: python
 Depends:
  python3-babel,
- python3-neutron (>= 2:12.0.0),
+ python3-neutron (>= 2:13.0.0),
  python3-pbr (>= 2.0.0),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,22 +1,36 @@
 #!/usr/bin/make -f
 
 include /usr/share/openstack-pkg-tools/pkgos.make
-
 UPSTREAM_GIT := https://github.com/openstack/tap-as-a-service.git
 
-export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d + -f 1)
-
 %:
-	dh $@ --buildsystem=python_distutils --with python2
-
-override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	ostestr
-endif
+	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
+
+override_dh_auto_clean:
+	python3 setup.py clean
+
+override_dh_auto_test:
+	echo "Do nothing..."
+
+override_dh_auto_build:
+	echo "Do nothing..."
+
+override_dh_auto_install:
+	echo "Do nothing..."
+
+override_dh_install:
+	for i in $(PYTHON3S) ; do \
+		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
+	done
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	pkgos-dh_auto_test --no-py2
+endif
+	dh_install
+	dh_missing --fail-missing
 
 # Commands not to run
 override_dh_installcatalogs:

## neutron-taas 4.0.0~a1~git2018083141.84846d5

=== debian/changelog ===
neutron-taas (4.0.0~a1~git2018083141.84846d5-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot for OpenStack Rocky.
  * Add support for Python 3.
  * Drop neutron-taas-openvswitch-agent package, no longer required as taas is
    integrated as a L2 agent extension.
  * d/control: Bumped Standards-Version to 4.2.1.

 -- James Page <james.page@ubuntu.com>  Fri, 31 Aug 2018 14:59:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,48 +1,58 @@
 Source: neutron-taas
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  James Page <james.page@ubuntu.com>,
- Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 9),
  dh-python,
  openstack-pkg-tools,
+ python-all,
+ python-pbr (>= 2.0.0),
+ python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-babel,
- python3-coverage,
+ python-babel (>= 2.3.4),
+ python-coverage (>= 4.0),
+ python-hacking,
+ python-neutron (>= 2:12.0.0~),
+ python-os-testr (>= 0.8.0),
+ python-oslosphinx (>= 2.5.0),
+ python-oslotest (>= 1.10.0),
+ python-testresources (>= 0.2.4),
+ python-testscenarios (>= 0.4),
+ python-testtools (>= 1.4.0),
+ python3-babel (>= 2.3.4),
+ python3-coverage (>= 4.0),
  python3-hacking,
- python3-neutron (>= 2:13.0.0),
- python3-os-testr (>= 1.0.0),
- python3-oslosphinx,
- python3-oslotest (>= 1:3.2.0),
- python3-psycopg2 (>= 2.6.2),
- python3-pymysql,
- python3-stestr,
- python3-testresources (>= 2.0.0),
- python3-testscenarios,
- python3-testtools (>= 2.2.0),
- subunit,
- testrepository,
-Standards-Version: 4.1.1
+ python3-neutron (>= 2:12.0.0~),
+ python3-os-testr (>= 0.8.0),
+ python3-oslosphinx (>= 2.5.0),
+ python3-oslotest (>= 1.10.0),
+ python3-testresources (>= 0.2.4),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 1.4.0),
+Standards-Version: 4.2.1
 Homepage: http://github.com/openstack/tap-as-a-service
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-taas
-Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-taas.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-taas
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-taas
 
-Package: neutron-taas-openvswitch-agent
+Package: neutron-taas-common
 Architecture: all
 Depends:
- neutron-common (>= 2:12.0.0),
- python3-neutron-taas (= ${binary:Version}),
  ${misc:Depends},
- ${ostack-lsb-base},
- ${python3:Depends},
-Description: OpenStack virtual network service - Tap-as-a-Service agent
+Breaks:
+ neutron-taas-openvswitch-agent (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
+ python-neutron-taas (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
+Replaces:
+ neutron-taas-openvswitch-agent (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
+ python-neutron-taas (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
+Description: OpenStack virtual network service - Tap-as-a-Service common files
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
  vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
@@ -64,23 +74,18 @@
  component that can be utilized for supplying data to a variety of network
  analytics and security applications (e.g. IDS).
  .
- This package provides the Tap-as-a-Service agent for Open vSwitch.
+ This package provides the common files for the Tap-as-a-Service (TaaS)
+ extension.
 
-Package: python3-neutron-taas
+Package: python-neutron-taas
 Architecture: all
-Section: python
 Depends:
- python3-babel,
- python3-neutron (>= 2:13.0.0),
- python3-pbr (>= 2.0.0),
+ python-babel (>= 2.3.4),
+ python-neutron (>= 2:12.0.0~),
  ${misc:Depends},
- ${python3:Depends},
+ ${python:Depends},
 Enhances:
- python3-neutronclient,
-Breaks:
- python-neutron-taas,
-Replaces:
- python-neutron-taas,
+ python-neutronclient,
 Description: OpenStack virtual network service - Tap-as-a-Service extension
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
@@ -103,5 +108,39 @@
  component that can be utilized for supplying data to a variety of network
  analytics and security applications (e.g. IDS).
  .
- This package provides the Python files for the Tap-as-a-Service (TaaS)
+ This package provides the Python 2 files for the Tap-as-a-Service (TaaS)
  extension.
+
+Package: python3-neutron-taas
+Architecture: all
+Depends:
+ python3-babel (>= 2.3.4),
+ python3-neutron (>= 2:12.0.0~),
+ ${misc:Depends},
+ ${python3:Depends},
+Enhances:
+ python-neutronclient,
+Description: OpenStack virtual network service - Tap-as-a-Service extension
+ Neutron provides an API to dynamically request and configure virtual networks.
+ These networks connect "interfaces" from other OpenStack services (such as
+ vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
+ network capabilities, including QoS, ACLs, and network monitoring.
+ .
+ Tap-as-a-Service (TaaS) is an extension to the OpenStack network service
+ (Neutron). It provides remote port mirroring capability for tenant virtual
+ networks.
+ .
+ Port mirroring involves sending a copy of packets entering and/or leaving one
+ port to another port, which is usually different from the original
+ destinations of the packets being mirrored.
+ .
+ This service has been primarily designed to help tenants (or the cloud
+ administrator) debug complex virtual networks and gain visibility into their
+ VMs, by monitoring the network traffic associated with them. TaaS honors
+ tenant boundaries and its mirror sessions are capable of spanning across
+ multiple compute and network nodes. It serves as an essential infrastructure
+ component that can be utilized for supplying data to a variety of network
+ analytics and security applications (e.g. IDS).
+ .
+ This package provides the Python 2 files for the Tap-as-a-Service (TaaS)
+ extension.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

UPSTREAM_GIT := https://github.com/openstack/tap-as-a-service.git

export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d '~' -f 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHON=python PYTHONPATH=$(CURDIR) ostestr
	PYTHON=python3 PYTHONPATH=$(CURDIR) ostestr
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

## neutron-taas 5.0.0~b1~git2019031936.9e82992

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,8 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
 neutron>=12.0.0  # Apache-2.0
+neutron-lib>=1.20.0 # Apache-2.0
+
+# Opt-in for neutron-lib consumption patches
+# http://lists.openstack.org/pipermail/openstack-dev/2018-September/135063.html
+# neutron-lib-current

=== debian/changelog ===
neutron-taas (5.0.0~b1~git2019031936.9e82992-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpensStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 11:17:51 +0000

neutron-taas (5.0.0~b1~git2019013155.aee5d28-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpensStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:39:34 +0000

neutron-taas (5.0.0~b1~git2018112049.5ffd2b7-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpensStack Stein.
  * d/control,rules: Drop Python 2 support.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 12:00:13 +0000

=== debian/control ===
--- 
+++ 
@@ -17,20 +17,11 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python-babel (>= 2.3.4),
- python-coverage (>= 4.0),
- python-hacking,
- python-neutron (>= 2:12.0.0~),
- python-os-testr (>= 0.8.0),
- python-oslosphinx (>= 2.5.0),
- python-oslotest (>= 1.10.0),
- python-testresources (>= 0.2.4),
- python-testscenarios (>= 0.4),
- python-testtools (>= 1.4.0),
  python3-babel (>= 2.3.4),
  python3-coverage (>= 4.0),
  python3-hacking,
- python3-neutron (>= 2:12.0.0~),
+ python3-neutron (>= 2:14.0.0~),
+ python3-neutron-lib (>= 1.20.0),
  python3-os-testr (>= 0.8.0),
  python3-oslosphinx (>= 2.5.0),
  python3-oslotest (>= 1.10.0),
@@ -77,45 +68,11 @@
  This package provides the common files for the Tap-as-a-Service (TaaS)
  extension.
 
-Package: python-neutron-taas
-Architecture: all
-Depends:
- python-babel (>= 2.3.4),
- python-neutron (>= 2:12.0.0~),
- ${misc:Depends},
- ${python:Depends},
-Enhances:
- python-neutronclient,
-Description: OpenStack virtual network service - Tap-as-a-Service extension
- Neutron provides an API to dynamically request and configure virtual networks.
- These networks connect "interfaces" from other OpenStack services (such as
- vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
- network capabilities, including QoS, ACLs, and network monitoring.
- .
- Tap-as-a-Service (TaaS) is an extension to the OpenStack network service
- (Neutron). It provides remote port mirroring capability for tenant virtual
- networks.
- .
- Port mirroring involves sending a copy of packets entering and/or leaving one
- port to another port, which is usually different from the original
- destinations of the packets being mirrored.
- .
- This service has been primarily designed to help tenants (or the cloud
- administrator) debug complex virtual networks and gain visibility into their
- VMs, by monitoring the network traffic associated with them. TaaS honors
- tenant boundaries and its mirror sessions are capable of spanning across
- multiple compute and network nodes. It serves as an essential infrastructure
- component that can be utilized for supplying data to a variety of network
- analytics and security applications (e.g. IDS).
- .
- This package provides the Python 2 files for the Tap-as-a-Service (TaaS)
- extension.
-
 Package: python3-neutron-taas
 Architecture: all
 Depends:
  python3-babel (>= 2.3.4),
- python3-neutron (>= 2:12.0.0~),
+ python3-neutron (>= 2:14.0.0~),
  ${misc:Depends},
  ${python3:Depends},
 Enhances:

## neutron-taas 5.0.0

=== debian/changelog ===
neutron-taas (5.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2019 17:35:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,49 +1,48 @@
 Source: neutron-taas
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  James Page <james.page@ubuntu.com>,
+ Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
+ openstack-pkg-tools (>= 99~),
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-babel (>= 2.3.4),
- python3-coverage (>= 4.0),
+ python3-babel,
+ python3-coverage,
  python3-hacking,
- python3-neutron (>= 2:14.0.0~),
- python3-neutron-lib (>= 1.20.0),
- python3-os-testr (>= 0.8.0),
- python3-oslosphinx (>= 2.5.0),
- python3-oslotest (>= 1.10.0),
- python3-testresources (>= 0.2.4),
- python3-testscenarios (>= 0.4),
- python3-testtools (>= 1.4.0),
-Standards-Version: 4.2.1
+ python3-neutron (>= 2:14.0.2),
+ python3-os-testr,
+ python3-oslosphinx,
+ python3-oslotest,
+ python3-psycopg2,
+ python3-pymysql,
+ python3-stestr,
+ python3-testresources,
+ python3-testscenarios,
+ python3-testtools,
+ subunit,
+ testrepository,
+Standards-Version: 4.4.0
 Homepage: http://github.com/openstack/tap-as-a-service
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-taas
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-taas
+Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-taas
+Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-taas.git
 
-Package: neutron-taas-common
+Package: neutron-taas-openvswitch-agent
 Architecture: all
 Depends:
+ neutron-common (>= 2:14.0.2),
+ python3-neutron-taas (= ${binary:Version}),
  ${misc:Depends},
-Breaks:
- neutron-taas-openvswitch-agent (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
- python-neutron-taas (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
-Replaces:
- neutron-taas-openvswitch-agent (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
- python-neutron-taas (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
-Description: OpenStack virtual network service - Tap-as-a-Service common files
+ ${ostack-lsb-base},
+ ${python3:Depends},
+Description: OpenStack virtual network service - Tap-as-a-Service agent
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
  vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
@@ -65,18 +64,23 @@
  component that can be utilized for supplying data to a variety of network
  analytics and security applications (e.g. IDS).
  .
- This package provides the common files for the Tap-as-a-Service (TaaS)
- extension.
+ This package provides the Tap-as-a-Service agent for Open vSwitch.
 
 Package: python3-neutron-taas
 Architecture: all
+Section: python
 Depends:
- python3-babel (>= 2.3.4),
- python3-neutron (>= 2:14.0.0~),
+ python3-babel,
+ python3-neutron (>= 2:14.0.2),
+ python3-pbr,
  ${misc:Depends},
  ${python3:Depends},
 Enhances:
- python-neutronclient,
+ python3-neutronclient,
+Breaks:
+ python-neutron-taas,
+Replaces:
+ python-neutron-taas,
 Description: OpenStack virtual network service - Tap-as-a-Service extension
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
@@ -99,5 +103,5 @@
  component that can be utilized for supplying data to a variety of network
  analytics and security applications (e.g. IDS).
  .
- This package provides the Python 2 files for the Tap-as-a-Service (TaaS)
+ This package provides the Python files for the Tap-as-a-Service (TaaS)
  extension.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
UPSTREAM_GIT := https://github.com/openstack/tap-as-a-service.git

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
	rm $(CURDIR)/debian/tmp/usr/etc/neutron/rootwrap.d/taas-i40e-sysfs.filters
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif
	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## neutron-taas 6.0.1~git2020021315.0fc14ac

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
 neutron>=12.0.0  # Apache-2.0
-neutron-lib>=1.20.0 # Apache-2.0
+neutron-lib>=1.25.0 # Apache-2.0
 
 # Opt-in for neutron-lib consumption patches
 # http://lists.openstack.org/pipermail/openstack-dev/2018-September/135063.html

=== debian/changelog ===
neutron-taas (6.0.1~git2020021315.0fc14ac-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 15:31:47 -0500

neutron-taas (5.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 12:04:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,48 +1,52 @@
 Source: neutron-taas
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  James Page <james.page@ubuntu.com>,
- Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper (>= 9),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
+ python-all,
+ python-pbr (>= 2.0.0),
+ python-setuptools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-babel,
- python3-coverage,
- python3-hacking,
- python3-neutron (>= 2:14.0.2),
- python3-os-testr,
- python3-oslosphinx,
- python3-oslotest,
- python3-psycopg2,
- python3-pymysql,
- python3-stestr,
- python3-testresources,
- python3-testscenarios,
- python3-testtools,
- subunit,
- testrepository,
-Standards-Version: 4.4.0
+ python3-babel (>= 2.3.4),
+ python3-coverage (>= 4.0),
+ python3-neutron (>= 2:14.0.0~),
+ python3-neutron-lib (>= 1.25.0),
+ python3-os-testr (>= 0.8.0),
+ python3-oslosphinx (>= 4.7.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-psycopg2 (>= 2.7.5),
+ python3-pymysql (>= 0.7.6),
+ python3-stestr (>= 1.0.0),
+ python3-subunit (>= 1.0.0),
+ python3-testresources (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+Standards-Version: 4.2.1
 Homepage: http://github.com/openstack/tap-as-a-service
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-taas
-Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-taas.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-taas
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-taas
 
-Package: neutron-taas-openvswitch-agent
+Package: neutron-taas-common
 Architecture: all
 Depends:
- neutron-common (>= 2:14.0.2),
- python3-neutron-taas (= ${binary:Version}),
  ${misc:Depends},
- ${ostack-lsb-base},
- ${python3:Depends},
-Description: OpenStack virtual network service - Tap-as-a-Service agent
+Breaks:
+ neutron-taas-openvswitch-agent (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
+ python-neutron-taas (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
+Replaces:
+ neutron-taas-openvswitch-agent (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
+ python-neutron-taas (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
+Description: OpenStack virtual network service - Tap-as-a-Service common files
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
  vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
@@ -64,23 +68,20 @@
  component that can be utilized for supplying data to a variety of network
  analytics and security applications (e.g. IDS).
  .
- This package provides the Tap-as-a-Service agent for Open vSwitch.
+ This package provides the common files for the Tap-as-a-Service (TaaS)
+ extension.
 
 Package: python3-neutron-taas
 Architecture: all
-Section: python
 Depends:
- python3-babel,
- python3-neutron (>= 2:14.0.2),
- python3-pbr,
+ python3-babel (>= 2.3.4),
+ python3-neutron (>= 2:14.0.0~),
+ python3-neutron-lib (>= 1.25.0),
+ python3-pbr (>= 2.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Enhances:
- python3-neutronclient,
-Breaks:
- python-neutron-taas,
-Replaces:
- python-neutron-taas,
+ python-neutronclient,
 Description: OpenStack virtual network service - Tap-as-a-Service extension
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
@@ -103,5 +104,5 @@
  component that can be utilized for supplying data to a variety of network
  analytics and security applications (e.g. IDS).
  .
- This package provides the Python files for the Tap-as-a-Service (TaaS)
+ This package provides the Python 2 files for the Tap-as-a-Service (TaaS)
  extension.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## neutron-taas 6.0.1~git2020101510.b0dac61

=== debian/changelog ===
neutron-taas (6.0.1~git2020101510.b0dac61-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 10:12:17 -0400

neutron-taas (6.0.1~git2020091616.8332a39-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Sep 2020 16:10:28 -0400

=== debian/control ===
--- 
+++ 
@@ -17,15 +17,18 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-babel (>= 2.3.4),
+ python3-babel (>= 2.8.0),
  python3-coverage (>= 4.0),
- python3-neutron (>= 2:14.0.0~),
- python3-neutron-lib (>= 1.25.0),
+ python3-neutron (>= 2:16.0.0~),
+ python3-neutron-lib (>= 2.6.0),
+ python3-openstackdocstheme (>= 1.30.0),
  python3-os-testr (>= 0.8.0),
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
  python3-psycopg2 (>= 2.7.5),
  python3-pymysql (>= 0.7.6),
+ python3-sphinxcontrib.blockdiag (>= 1.5.4),
+ python3-sphinxcontrib.seqdiag (>= 0.8.4),
  python3-stestr (>= 1.0.0),
  python3-subunit (>= 1.0.0),
  python3-testresources (>= 2.0.0),
@@ -33,8 +36,8 @@
  python3-testtools (>= 2.2.0),
 Standards-Version: 4.2.1
 Homepage: http://github.com/openstack/tap-as-a-service
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-taas
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-taas
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-taas
+Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-taas
 
 Package: neutron-taas-common
 Architecture: all
@@ -74,9 +77,9 @@
 Package: python3-neutron-taas
 Architecture: all
 Depends:
- python3-babel (>= 2.3.4),
- python3-neutron (>= 2:14.0.0~),
- python3-neutron-lib (>= 1.25.0),
+ python3-babel (>= 2.8.0),
+ python3-neutron (>= 2:16.0.0~),
+ python3-neutron-lib (>= 2.6.0),
  python3-pbr (>= 2.0.0),
  ${misc:Depends},
  ${python3:Depends},

## neutron-taas 7.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.5.0 # Apache-2.0
Babel>=2.8.0 # BSD
neutron>=16.0.0  # Apache-2.0
neutron-lib>=2.6.0 # Apache-2.0

# Opt-in for neutron-lib consumption patches
# http://lists.openstack.org/pipermail/openstack-dev/2018-September/135063.html
# neutron-lib-current

=== debian/changelog ===
neutron-taas (7.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Replaced upstream VCS URLs, as it's not mirrored in Github anymore.
  * New upstream release.
  * Fixed (build-)depends for this release. (Closes: #973116).

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2020 10:20:07 +0100

=== debian/control ===
Source: neutron-taas
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel (>= 2.8.0),
 python3-coverage (>= 5.1),
 python3-hacking,
 python3-mock (>= 3.0.0),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 2.6.0),
 python3-oslosphinx,
 python3-oslotest (>= 4.4.1),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql,
 python3-stestr (>= 3.0.1),
 python3-testresources (>= 2.0.1),
 python3-testscenarios (>= 0.5.0),
 python3-testtools (>= 2.4.0),
 subunit (>= 1.4.0),
 testrepository,
Standards-Version: 4.4.1
Homepage: https://opendev.org/x/tap-as-a-service
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-taas
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-taas.git

Package: neutron-taas-openvswitch-agent
Architecture: all
Depends:
 neutron-common (>= 2:16.0.0),
 python3-neutron-taas (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - Tap-as-a-Service agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Tap-as-a-Service (TaaS) is an extension to the OpenStack network service
 (Neutron). It provides remote port mirroring capability for tenant virtual
 networks.
 .
 Port mirroring involves sending a copy of packets entering and/or leaving one
 port to another port, which is usually different from the original
 destinations of the packets being mirrored.
 .
 This service has been primarily designed to help tenants (or the cloud
 administrator) debug complex virtual networks and gain visibility into their
 VMs, by monitoring the network traffic associated with them. TaaS honors
 tenant boundaries and its mirror sessions are capable of spanning across
 multiple compute and network nodes. It serves as an essential infrastructure
 component that can be utilized for supplying data to a variety of network
 analytics and security applications (e.g. IDS).
 .
 This package provides the Tap-as-a-Service agent for Open vSwitch.

Package: python3-neutron-taas
Architecture: all
Section: python
Depends:
 python3-babel (>= 2.8.0),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 2.6.0),
 python3-pbr (>= 5.5.0),
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 python3-neutronclient,
Breaks:
 python-neutron-taas,
Replaces:
 python-neutron-taas,
Description: OpenStack virtual network service - Tap-as-a-Service extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Tap-as-a-Service (TaaS) is an extension to the OpenStack network service
 (Neutron). It provides remote port mirroring capability for tenant virtual
 networks.
 .
 Port mirroring involves sending a copy of packets entering and/or leaving one
 port to another port, which is usually different from the original
 destinations of the packets being mirrored.
 .
 This service has been primarily designed to help tenants (or the cloud
 administrator) debug complex virtual networks and gain visibility into their
 VMs, by monitoring the network traffic associated with them. TaaS honors
 tenant boundaries and its mirror sessions are capable of spanning across
 multiple compute and network nodes. It serves as an essential infrastructure
 component that can be utilized for supplying data to a variety of network
 analytics and security applications (e.g. IDS).
 .
 This package provides the Python files for the Tap-as-a-Service (TaaS)
 extension.
